GymMaintain
Contents · Incidents

Incidents

GET   /incidents?status=open&machine_id={id}
POST  /incidents
GET   /incidents/{id}
PATCH /incidents/{id}

status: open | investigating | resolved | closed.

POST — required machine_id, description (max 2000). Optional: reporter_name, involved_person, injury (boolean), occurred_at, blocked_machine. Status becomes open. blocked_machine sets the machine to out_of_service. Response 201.

PATCH — status is required. Optional: investigation, corrective_actions, followup_done, followup_notes. resolved or closed sets closed_at when it is still empty.

curl -X POST https://app.gymmaintain.com/api/v1/incidents \
  -H "Authorization: Bearer gm_..." -H "Content-Type: application/json" \
  -d '{"description":"Fell off the treadmill","machine_id":"<uuid>","injury":false}'